Subject: Eastern Tool & Supply: Opinions? Experiences?

From: [email-masked] (Michael J. Edelman)
Date: 1 Dec 1993 17:51:59 GMT

I just re-subscribed to HSM, and I've been busy sending off for catalogs, lists
and whatnot to replenish my out-of-date library of suppliers. One ad caught my eye-
Eastern Tool & Supply in NYC. They seem to be a discount supplier of tools and
supplies, and claim 'Try us for everything!". SOunds interesting, but has anyone 
dealt with them?

I also see in the latest issue that Guy Lautard now has Volume 3 of TMBR out. 
That's 'The Machinist's Bedside Reader', to the uninitiated. Fun, interesting
stuff, and as a bonus this one appears *not* to have any of his fiction in it ;-)

--mike